//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//

package samples.editor;

import java.io.FileOutputStream;
import java.io.FileInputStream;
import com.aspose.pdf.kit.PdfFileEditor;

public class PdfFileEditorExample1 {

  public PdfFileEditorExample1() {
  }

  //Demonstrates concatenating two Pdf files.
  public static void main(String[] args) {
    try {
      String path = "/examples/resources/";
      //read the input file
      String inFile1 = path + "example1.pdf";
      String inFile2 = path + "example2.pdf";
      String outFile = path + "kitOut1.pdf";
      FileInputStream inStream1 = new FileInputStream(inFile1);
      FileInputStream inStream2 = new FileInputStream(inFile2);

      //concatenate two files
      FileOutputStream outputStream = new FileOutputStream(outFile);
      PdfFileEditor editor = new PdfFileEditor();
      editor.concatenate(inStream1, inStream2, outputStream);

      //close the output FileOutputStream
      outputStream.close();
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }
}