//
// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.extractor;

import java.awt.Rectangle;
import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;

import com.aspose.pdf.kit.License;

import com.aspose.pdf.kit.PdfExtractor;
import com.aspose.pdf.kit.ExtractTextMode;

/**
 * <p>
 * A simple example to extract raw text from a pdf file within a specified rectangle.
 * </p>
 * 
 * <p>Copyright: 2002-2005 . All Rights Reserved.</p>
 * <p>Company: Aspose Pty Ltd</p>
 * @version 1.0.0.0
 */ 
public class ExtractTextInRectangle
{
  //setting the test pdf file's path here
  static String path = "./examples/resources/";
  
	public static void main(String[] args)
	{
		// If you got a license, uncomment following lines.
		// License lic = new License();
		// try
		// {
		// 		lic.setLicense(new FileInputStream(new
		// 		File("Aspose.Pdf.Kit.Java.Ent.lic")));
		// } 
		// catch (Exception e) {
		// 		System.out.println(e.getMessage());
		// }	
				
		try {
      PdfExtractor pdfextractor = new PdfExtractor();
			String path = "./examples/resources/";
			pdfextractor.bindPdf(path + "text.pdf");
			
			//the extract text rectangle.
			java.awt.Rectangle rec = new java.awt.Rectangle(0,0,1000,1000);
			
			pdfextractor.setStartPage(1);
			pdfextractor.setEndPage(2);
			
			pdfextractor.extractTextInRectangle(rec,ExtractTextMode.PureTextWithWidth);
			
			//pdfextractor.extractTextInRectangle(rec);
			
			pdfextractor.getAllRectangleText(path + "rectangleText.txt");
    }
    catch (Exception ioe) {
      System.out.println(ioe.getMessage());
    }
	}
}
