// Copyright 2002-2005 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Pdf.Kit for Java. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//
package samples.info;

import com.aspose.pdf.kit.PdfFileInfo;
import java.util.HashMap;

public class PdfFileInfoExample2 {
  public PdfFileInfoExample2() {
  }

//demonstrates showing the meta informatio of pdf file.
  public static void main(String[] args) {
    try {
      String path = "./examples/resources/";
      String inFile = path + "kitOut.pdf";
      PdfFileInfo fileInfo = new PdfFileInfo(inFile);

      System.out.println("TITLE: " + fileInfo.getTitle());
      System.out.println("AUTHOR:" + fileInfo.getAuthor());
      System.out.println("CREATIONDATE:" + fileInfo.getCreationDate());
      System.out.println("CREATOR:" + fileInfo.getCreator());
      System.out.println("KeyWORDS:" + fileInfo.getKeywords());
      System.out.println("MODDATE:" + fileInfo.getModDate());
      HashMap header = fileInfo.getHeader();

      Object[] headerKeys = header.keySet().toArray();
      for (int hIndex = 0; hIndex < headerKeys.length; hIndex++) {
        System.out.println(headerKeys[hIndex].toString() + ":" +
                           header.get(headerKeys[hIndex].toString()));
      }
    }
    catch (Exception ex) {
      System.out.println(ex.getMessage());
    }
  }
}